routes/web.php
<?php

Auth::routes();
Route::group(['middleware' => 'auth'], function() {
	Route::get('/', function () { return redirect()->route('home'); });

	Route::prefix('home')->group(function () {
		Route::get('/', 'HomeController@index')->name('home');
	});

	Route::post('/tutupbuku/update', 'TutupBukuController@update')->name('tutupbuku.update');
	Route::get('/tutupbuku/getpostingdata', 'TutupBukuController@getPostingData')->name('tutupbuku.getpostingdata');

	Route::prefix('select2')->group(function () {
		Route::get('/nasabah', 'NasabahController@select2')->name('select2.nasabah');
		Route::get('/deposito/{status}', 'DepositoController@select2')->name('select2.deposito');
		Route::get('/nasabah/pinjaman', 'PinjamanController@select2nasabah')->name('select2.nasabah.pinjaman');
		Route::get('/pinjaman', 'PinjamanController@select2')->name('select2.pinjaman');
		Route::get('/pinjaman/lunas', 'PinjamanController@select2lunas')->name('select2.pinjaman.lunas');
		Route::get('/tabungan', 'TabunganController@select2')->name('select2.tabungan');
		Route::get('/kolektor', 'MasterKolektorController@select2')->name('select2.kolektor');
		
		Route::prefix('akun')->group(function () {
			Route::get('/group', 'AkunController@select2group')->name('select2.akun.group');
			Route::get('/kelompok', 'AkunController@select2kelompok')->name('select2.akun.kelompok');
			Route::get('/akun', 'AkunController@select2akun')->name('select2.akun.akun');
			Route::get('/detil', 'AkunController@select2detil')->name('select2.akun.detil');
		});
	});

	Route::prefix('rbac')->group(function () {
		Route::prefix('user')->group(function () {
			Route::get('/v', 'RBACUserController@validasi')->name('rbac.user.v');
		});
	});

	Route::get('/nasabah/nounik', function () {
		return App\Nasabah::noUnik();
	})->name('nasabah.nounik');
	Route::post('/nasabah/api', 'NasabahController@apiStore')->name('nasabah.api.store');
	Route::get('/nasabah/dt', 'NasabahController@dt')->name('nasabah.dt');
  	Route::put('/nasabah/anggota/{nasabah}', 'NasabahController@anggota')->name('nasabah.anggota');
	Route::get('/nasabah/{nasabah}/isaktif', 'NasabahController@isAktif')->name('nasabah.isaktif');
	Route::resource('nasabah', 'NasabahController', ['except' => [
	    'show', 'destroy'
	]]);

	Route::prefix('simpanan')->group(function () {
		Route::get('/', 'SimpananController@index')->name('simpanan.index');
		Route::get('/dt', 'SimpananController@dt')->name('simpanan.dt');

		Route::prefix('pokok')->group(function () {
			Route::get('/{anggota}', 'SimpananPokokController@index')->name('simpanan.pokok.index');
			Route::get('/{rek}/dt', 'SimpananPokokController@dt')->name('simpanan.pokok.dt');
			Route::post('/{rek}/setor', 'SimpananPokokController@setor')->name('simpanan.pokok.setor');
			Route::post('/{rek}/tarik', 'SimpananPokokController@tarik')->name('simpanan.pokok.tarik');
		});

		Route::prefix('wajib')->group(function () {
			Route::get('/{anggota}', 'SimpananWajibController@index')->name('simpanan.wajib.index');
			Route::get('/{rek}/dt', 'SimpananWajibController@dt')->name('simpanan.wajib.dt');
			Route::post('/{rek}/setor', 'SimpananWajibController@setor')->name('simpanan.wajib.setor');
			Route::post('/{rek}/tarik', 'SimpananWajibController@tarik')->name('simpanan.wajib.tarik');
		});
	});

	Route::prefix('tabungan')->group(function () {
		Route::get('/', 'TabunganController@index')->name('tabungan.index');
		Route::get('/dt', 'TabunganController@dt')->name('tabungan.dt');
		Route::post('/', 'TabunganController@tambah')->name('tabungan.tambah');
		Route::post('/daripinjaman', 'TabunganController@tambahDariPinjaman')->name('tabungan.tambahpinjaman');
		Route::get('/detil/{tabungan?}', 'TabunganController@detil')->name('tabungan.detil');
		Route::get('/detildata/{tabungan?}', 'TabunganController@detildata')->name('tabungan.detildata');
		Route::put('/setor/{tabungan}', 'TabunganController@setor')->name('tabungan.setor');
		Route::put('/tarik/{tabungan}', 'TabunganController@tarik')->name('tabungan.tarik');
	});

	Route::prefix('setorcepat')->group(function () {
		Route::get('/', 'TabunganCepatController@setor')->name('setorcepat.index');
		Route::post('/{tabungan}', 'TabunganCepatController@setorProses')->name('setorcepat.setor');
	});

	Route::prefix('tarikcepat')->group(function () {
		Route::get('/', 'TabunganCepatController@tarik')->name('tarikcepat.index');
		Route::post('/{tabungan}', 'TabunganCepatController@tarikProses')->name('tarikcepat.tarik');
	});

	Route::get('/postingbunga', 'PostingBungaController@index')->name('postingbunga.index');
	Route::get('/postingbunga/dt', 'PostingBungaController@dt')->name('postingbunga.dt');
	Route::post('/postingbunga', 'PostingBungaController@posting')->name('postingbunga.posting');
	Route::get('/postingbunga/{NoRek}', 'PostingBungaController@single')->name('postingbunga.single');

	Route::prefix('simpinjaman')->group(function () {
		Route::get('/', 'SimPinjamanController@index')->name('simpinjaman.index');
		Route::post('/', 'SimPinjamanController@hitung')->name('simpinjaman.hitung');
	});

	Route::prefix('pinjaman')->group(function () {
		Route::get('/', 'PinjamanController@index')->name('pinjaman.index');
		Route::get('/dt', 'PinjamanController@dt')->name('pinjaman.dt');
		Route::get('/create', 'PinjamanController@create')->name('pinjaman.create');
		Route::post('/', 'PinjamanController@tambah')->name('pinjaman.tambah');
		Route::get('/detil/{pinjaman?}', 'PinjamanController@detil')->name('pinjaman.detil');

		Route::get('/bayar/detil/{pinjaman?}', 'PinjamanController@bayardetil')->name('pinjaman.bayar.detil');
		Route::put('/bayar/{pinjaman?}', 'PinjamanController@bayar')->name('pinjaman.bayar');

		Route::get('/lunas/detil/{pinjaman?}', 'PinjamanController@lunasdetil')->name('pinjaman.lunas.detil');
		Route::put('/lunas/{pinjaman?}', 'PinjamanController@lunas')->name('pinjaman.lunas');
	});

	Route::prefix('pinjamanlunas')->group(function () {
		Route::get('/', 'PinjamanLunasController@index')->name('pinjamanlunas.index');
		Route::get('/dt', 'PinjamanLunasController@dt')->name('pinjamanlunas.dt');
		Route::get('/detil/{pinjaman?}', 'PinjamanLunasController@detil')->name('pinjamanlunas.detil');
	});

	Route::get('/kompensasi', 'PinjamanKompenController@index')->name('pinjaman.kompensasi.index');
	Route::get('/kompensasi/dt', 'PinjamanKompenController@dt')->name('pinjaman.kompensasi.dt');
	Route::get('/kompensasi/detil/{nasabah}', 'PinjamanKompenController@detil')->name('pinjaman.kompensasi.detil');
	Route::put('/kompensasi/{pinjaman}', 'PinjamanKompenController@tambah')->name('pinjaman.kompensasi.tambah');

	Route::prefix('deposito')->group(function () {
		Route::get('/', 'DepositoController@index')->name('deposito.index');
		Route::get('/dt', 'DepositoController@dt')->name('deposito.dt');
		Route::get('/detil/{deposito?}', 'DepositoController@detil')->name('deposito.detil');
		Route::post('/', 'DepositoController@tambah')->name('deposito.tambah');
	});

	Route::prefix('depositoberakhir')->group(function () {
		Route::get('/', 'DepositoBerakhirController@index')->name('deposito.berakhir.index');
		Route::get('/dt', 'DepositoBerakhirController@dt')->name('deposito.berakhir.dt');
    	Route::get('/detil/{deposito?}', 'DepositoBerakhirController@detil')->name('deposito.berakhir.detil');
    	Route::put('/tarik/{deposito}', 'DepositoBerakhirController@tarik')->name('deposito.berakhir.tarik');
    	Route::put('/perpanjang/{deposito}', 'DepositoBerakhirController@perpanjang')->name('deposito.berakhir.perpanjang');
	});

	Route::get('/postingdeposito', 'DepositoPostingBungaController@index')->name('deposito.posting.index');
	Route::get('/postingdeposito/dt', 'DepositoPostingBungaController@dt')->name('deposito.posting.dt');
	Route::post('/postingdeposito', 'DepositoPostingBungaController@posting')->name('deposito.posting.posting');

	Route::prefix('m')->group(function () {
		Route::prefix('akun')->group(function () {
			Route::get('/', 'AkunController@index')->name('akun.index');
	
			Route::get('/dt', 'AkunController@dt')->name('akun.dt');
			Route::get('/detil/{akun}', 'AkunController@detil')->name('akun.detil');
		
			Route::get('/last/{kelompok}', function ($kelompok) {
				return App\Akun::noUnik($kelompok);
			})->name('akun.last');
			Route::get('/detil/last/{akun}', function ($akun) {
				return App\Akundetil::noUnik($akun);
			})->name('akun.detil.last');
	
			Route::get('/detil/edit/{id}', function ($id) {
				return App\Akundetil::find($id);
			})->name('akun.detil.edit');
	
			Route::post('/', 'AkunController@storeAkun')->name('akun.store');
			Route::post('/detil', 'AkunController@storeDetil')->name('akun.detil.store');
	
			Route::put('/{akun}', 'AkunController@updateAkun')->name('akun.update');
			Route::put('/detil/{detil}', 'AkunController@updateDetil')->name('akun.detil.update');
		});

		Route::prefix('txtemplate')->group(function () {
			Route::get('/', 'MasterTemplateController@index')->name('m.txtemplate.index');
			Route::get('/dt', 'MasterTemplateController@dt')->name('m.txtemplate.dt');
			Route::post('/', 'MasterTemplateController@store')->name('m.txtemplate.store');
			Route::put('/{template}', 'MasterTemplateController@update')->name('m.txtemplate.update');
		});

		Route::prefix('txtemplate')->group(function () {
			Route::get('/', 'MasterTemplateController@index')->name('m.txtemplate.index');
			Route::get('/dt', 'MasterTemplateController@dt')->name('m.txtemplate.dt');
			Route::post('/', 'MasterTemplateController@store')->name('m.txtemplate.store');
			Route::put('/{template}', 'MasterTemplateController@update')->name('m.txtemplate.update');
		});

		Route::prefix('kolektor')->group(function () {
			Route::get('/', 'MasterKolektorController@index')->name('m.kolektor.index');
			Route::get('/dt', 'MasterKolektorController@dt')->name('m.kolektor.dt');
			Route::get('/create', 'MasterKolektorController@create')->name('m.kolektor.create');

app/Nasabah.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use DB;
use Fungsi;

class Nasabah extends Model
{
	protected $primaryKey = 'NoNasabah';

    public $incrementing = false;
    protected $guarded = ['created_at', 'updated_at'];

    public function user()
    {
        return $this->belongsTo('App\User');
    }

    public function kolektor()
    {
        return $this->belongsTo('App\Kolektor', 'NoKolektor');
    }

    public function anggota()
    {
        return $this->hasOne('App\Anggota', 'NoNasabah');
    }

    public function tabungan()
    {
        return $this->hasOne('App\Tabungan', 'NoNasabah');
    }

        public function pinjamans()
    {
        return $this->hasMany('App\Pinjaman', 'NoNasabah');
    }

        public function depositos()
    {
        return $this->hasMany('App\Deposito', 'NoNasabah');
    }

	public function scopeJumlahKompen($query)
	{
		return $query->join('pinjamankompens', 'pinjamankompens.NoNasabah', '=', 'nasabahs.NoNasabah')
        ->groupBy('nasabahs.NoNasabah')
        ->select(['nasabahs.NoNasabah', 'nasabahs.NamaNasabah', DB::raw('count(pinjamankompens.id) as Jumlah')]);
	}

	public function pinjamankompens()
    {
        return $this->hasMany('App\Pinjamankompen', 'NoNasabah');
    }

    public function scopeNoUnik($query)
    {
        $nounik = $query->orderBy('NoNasabah', 'DESC')->first();
        return Fungsi::autoNumber(!empty($nounik->NoNasabah) ? $nounik->NoNasabah : 'NS00000',2,5);
    }
}

app/Http/Controllers/Api/Nasabah/AuthController.php
<?php

namespace App\Http\Controllers\Api\Nasabah;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Auth;

class AuthController extends Controller
{
    use AuthenticatesUsers;

    protected function attemptLogin(Request $request)
    {
        return $this->guard()->attempt(
            $this->credentials($request), $request->has('remember')
        );
    }

    protected function credentials(Request $request)
    {
        return $request->only($this->username(), 'password') + ['AksesApi' => true, 'isaktif' => true, 'role_id' => 2];
    }

    protected function sendLoginResponse(Request $request)
    {
        $user = $this->guard()->user();
        if ($user->NoTelp == $request->NoTelp1 || $user->NoTelp == $request->NoTelp2) {
            $user->api_token = str_random(40);
            $user->save();

            $this->clearLoginAttempts($request);

            $response = $this->guard()->user();
            $response->nasabah;

            return response()->json(['msg' => 'Login Berhasil', 'data' => $response], 200);
        }

        return $this->sendFailedLoginResponse($request);
    }

    protected function sendFailedLoginResponse(Request $request)
    {
        return response()->json(['msg' => 'Username atau Password Salah'], 461);
    }

    public function username()
    {
        return 'username';
    }

    public function logout()
    {
      $user = $this->guard('api')->user();
      $user->api_token = null;
      $user->save();
      return response()->json(['msg' => 'Logout Berhasil'], 200);
    }

    protected function guard($guard = null)
    {
        return Auth::guard($guard);
    }
}

app/Http/Controllers/Api/Nasabah/PinjamanController.php
<?php

namespace App\Http\Controllers\Api\Nasabah;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Pinjaman;
use DB;
use Auth;

class PinjamanController extends Controller
{
    private $nasabah;

    public function __construct()
    {
        $this->nasabah = Auth::guard('api')->user()->nasabah;
    }

    public function kartu()
    {
        $pinjaman = Pinjaman::with(['detils' => function($query){
            $query->orderBy(DB::raw('CONCAT(TglInput, SUBSTR(created_at, 11, 9))'), 'asc');
        }])->where('NoNasabah', $this->nasabah->NoNasabah)->where('IsLunas', false)->first();
        return response()->json(['data' => $pinjaman], 200);
    }
}

app/Http/Controllers/Api/Nasabah/TabunganController.php
<?php

namespace App\Http\Controllers\Api\Nasabah;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Tabungan;
use DB;
use Auth;

class TabunganController extends Controller
{
    private $tabungan;

    public function __construct()
    {
        $this->middleware('HasTabungan');
        $this->tabungan = Auth::guard('api')->user()->nasabah->tabungan;
    }

    public function cekSaldo()
    {
        return response()->json(['data' => $this->tabungan->Saldo], 200);
    }

    public function mutasi($tglawal, $tglakhir)
    {
        $tabungan = Tabungan::with(['detils' => function($query) use($tglawal, $tglakhir) {
            $query->whereBetween('tabungandetils.TglInput', [$tglawal, $tglakhir])
            ->orderBy(DB::raw('CONCAT(TglInput, SUBSTR(created_at, 11, 9))'), 'asc');
        }])->where('NoRek', $this->tabungan->NoRek)->first();
        return response()->json(['data' => $tabungan], 200);
    }
}

resources/views/nasabah/form.blade.php
@extends('adminlte::page')

@section('css')
    <link rel="stylesheet" href="{{ asset('vendor/adminlte/plugins/iCheck/square/blue.css') }}">
@stop

@section('title', 'Tambah - Nasabah')

@section('content_header')
  <h1>{{ $isEdit == true ? 'Ubah' : 'Tambah' }} Data Nasabah</h1>
  <ol class="breadcrumb">
    <li><a href="{{ route('nasabah.index') }}"><i class="fa fa-users"></i>Nasabah</a></li>
    <li class="active">{{ $isEdit == true ? 'Ubah' : 'Tambah' }}</li>
  </ol>
@stop

@section('content')
	<div class="row">
    <div class="col-md-12">
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">Form Data Nasabah</h3>
        </div>
        <form role="form" data-toggle="validator" action="{{ $isEdit == true ? route('nasabah.update', ['nasabah' => $nasabah->NoNasabah]) : route('nasabah.store') }}" method="post">
          <div class="box-body">
            {{ csrf_field() }} {{ $isEdit == true ? method_field('PUT') : method_field('POST') }}
            <div class="row">
              <div class="col-md-6">
                <div class="form-group">
                  <label class="control-label">No. Nasabah</label>
                  <input readonly type="text" class="form-control" name="NoNasabah" value="{{$nasabah->NoNasabah}}" required>
                </div>
                <div class="form-group">
                  <label class="control-label">No. KTP</label>
                  <input type="text" class="form-control" name="NoKtp" value="{{ $nasabah->NoKtp }}" required>
                </div>
                <div class="form-group">
                  <label class="control-label">Nama Nasabah</label>
                  <input type="text" class="form-control" name="NamaNasabah" value="{{ $nasabah->NamaNasabah }}" required>
                </div>
                <div class="form-group">
                  <label class="control-label">Tempat Lahir</label>
                  <input type="text" class="form-control" name="TempatLahir" value="{{ $nasabah->TempatLahir }}" required>
                </div>
                <div class="form-group">
                  <label class="control-label">Alamat</label>
                  <textarea class="form-control" style="resize: vertical;" rows="3" name="Alamat" required placeholder="Alamat">{{ $nasabah->Alamat }}</textarea>
                </div>
              </div>
              <div class="col-md-6">
                <div class="form-group">
                  <label class="control-label">Tanggal Lahir</label>
                  <div class="input-group">
                    <div class="input-group-addon">
                      <i class="fa fa-calendar"></i>
                    </div>
                    <input type="text" class="form-control" name="TanggalLahir" value="{{ $nasabah->TanggalLahir }}" required>
                  </div>
                </div>
                <div class="form-group">
                  <label class="control-label">Jenis Kelamin</label>
                  <select class="form-control" name="JenisKelamin" required>
                    <option {{$nasabah->JenisKelamin == 'Laki-Laki' ? 'selected' : ''}} value="Laki-Laki">Laki-Laki</option>
                    <option {{$nasabah->JenisKelamin == 'Perempuan' ? 'selected' : ''}} value="Perempuan">Perempuan</option>
                  </select>
                </div>
                <div class="form-group">
                  <label class="control-label">No. telepon</label>
                  <input type="text" class="form-control" name="NoTelepon" value="{{ $nasabah->NoTelepon }}" required>
                </div>
                <div class="form-group">
                  <label class="control-label">Kolektor</label>
                  <select class="form-control" name="NoKolektor" style="width: 100%;"></select>
                </div>
                @if ($isEdit == false)
                  <div class="form-group">
                    <label>
                      <input type="checkbox" name="canggota"> Tambahkan Sebagai Anggota
                    </label>
                  </div>
                  <div id="formanggota" hidden>
                    <div class="form-group">
                      <label class="control-label">Setoran Awal Simpanan Pokok</label>
                      <div class="input-group">
                        <span class="input-group-addon">Rp</span>
                        <input type="text" class="form-control formuang" placeholder="Simpanan Pokok" name="pokok">
                      </div>
                    </div>
                    <div class="form-group">
                      <label class="control-label">Setoran Awal Simpanan Wajib</label>
                      <div class="input-group">
                        <span class="input-group-addon">Rp</span>
                        <input type="text" class="form-control formuang" placeholder="Simpanan Wajib" name="wajib">
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <label>
                      <input type="checkbox" name="ctabungan"> Tambahkan Rekening Tabungan
                    </label>
                  </div>
                  <div class="form-group" id="formtabungan" hidden>
                    <label class="control-label">Setoran Awal Tabungan</label>
                    <div class="input-group">
                      <span class="input-group-addon">Rp</span>
                      <input type="text" class="form-control formuang" placeholder="Setoran Tabungan" name="tabungan">
                    </div>
                  </div>
                @endif
              </div>
            </div>
          </div>
          <div class="box-footer">
            <button type="submit" class="btn btn-primary pull-right"><i class="fa fa-check"></i> Simpan</button>
          </div>
        </form>
      </div>
    </div>
  </div>
@stop

@section('js')
<script src="{{ asset('vendor/adminlte/plugins/iCheck/icheck.min.js') }}"></script>
<script type="text/javascript">
var isEdit = {{ $isEdit ? 1 : 0 }};
var s2NamaKolektor = "{{ $NamaKolektor }}";
  $(document).ready(function () {

    $('input[name=TanggalLahir]').daterangepicker({
      singleDatePicker: true,
      showDropdowns: true,
      locale: {
        format: 'YYYY-MM-DD'
      },
    });

    $('.formuang').inputmask("numeric", {
        groupSeparator: ".",
        digits: 0,
        autoGroup: true,
        rightAlign: false,
        removeMaskOnSubmit: true,
        allowMinus: false
    });

    $("select[name=NoKolektor]").select2({
        placeholder: "Pilih Kolektor...",
        allowClear: true,
        ajax: {
            url: '{{ route("select2.kolektor") }}',
            dataType: 'json',
            data: function (params) {
                return {
                    q: $.trim(params.term)
                };
            },
            processResults: function (data) {
                return {
                    results: data
                };
            },
            cache: true
        }
    });

    if (isEdit == 1) {
      select2isi("select[name=NoKolektor]", "{{ $nasabah->NoKolektor }}", s2NamaKolektor)
    }

    $('input[type=checkbox]').iCheck({
        checkboxClass: 'icheckbox_square-blue',
        radioClass: 'iradio_square-blue',
        increaseArea: '20%' // optional
    });
    $('input[name=canggota]').on('ifChecked', function(){
      $('#formanggota').show("slow");
      $('#formanggota input').attr("required", "true");
      $('form').validator('update')
    });
    $('input[name=canggota]').on('ifUnchecked', function(){
      $('#formanggota').hide("slow");
      $('#formanggota input').removeAttr("required");
      $('#formanggota input').val('');
      $('form').validator('update')
    });

    $('input[name=ctabungan]').on('ifChecked', function(){
      $('#formtabungan').show("slow");
      $('#formtabungan input').attr("required", "true");
      $('form').validator('update')
    });
    $('input[name=ctabungan]').on('ifUnchecked', function(){
      $('#formtabungan').hide("slow");
      $('#formtabungan input').removeAttr("required");
      $('#formtabungan input').val('');
      $('form').validator('update')
    });
  });
</script>
@stop

resources/views/nasabah/index.blade.php
@extends('adminlte::page')

@section('title', 'Nasabah')

@section('content_header')
  <h1>Data Nasabah</h1>
  <ol class="breadcrumb">
    <li class="active"><i class="fa fa-users"></i> Nasabah</li>
  </ol>
@stop

@section('content')
	<div class="row">
    <div class="col-md-12">
      <div class="box">
        <div class="box-header with-border">
          <h3 class="box-title">Tabel Data Nasabah</h3>
          <div class="box-tools">
            <a href="{{ route('nasabah.create') }}" class="btn btn-primary btn-sm" ><i class="glyphicon glyphicon-plus"></i> Tambah Data</a>
          </div>
        </div>
        {{-- <div class="box-body"> --}}
            <table class="table table-striped table-bordered" cellspacing="0" width="100%" id="table">
              <thead>
                <tr>
                  <th style="width:90px;">No. Nasabah</th>
                  <th style="width:20px;">Status</th>
                  <th>Nama Nasabah</th>
                  <th>Alamat</th>
                  <th>No. Telepon</th>
                  <th>Tanggal Daftar</th>
                  <th style="width:100px;"></th>
                </tr>
              </thead>
            </table>
        {{-- </div> --}}
      </div>
    </div>
  </div>

  {{-- modal-anggota --}}
  <div class="modal fade" id="modal-anggota">
    <div class="modal-dialog">
      <div class="modal-content">
        <form role="form" action="" data-toggle="validator" method="POST">
        {{ csrf_field() }} {{ method_field('PUT') }}
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span></button>
            <h4 class="modal-title"></h4>
          </div>
          <div class="modal-body">
            <div class="form-group">
              <label class="control-label">Setoran Awal Simpanan Pokok</label>
              <div class="input-group">
                <span class="input-group-addon">Rp</span>
                <input type="text" class="form-control formuang" placeholder="Simpanan Pokok" name="pokok">
              </div>
            </div>
            <div class="form-group">
              <label class="control-label">Setoran Awal Simpanan Wajib</label>
              <div class="input-group">
                <span class="input-group-addon">Rp</span>
                <input type="text" class="form-control formuang" placeholder="Simpanan Wajib" name="wajib">
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary">Save</button>
          </div>
        </form>
      </div>
    </div>
  </div>
@stop

@section('js')
<script type="text/javascript">
	$( document ).ready(function() {
    $('[data-toggle="tooltip"]').tooltip();
	  var table = $('#table').DataTable({
	      processing: true,
	      serverSide: true,
        "dom": '<"box-body"<"row"<"col-sm-6"l><"col-sm-6"f>>><"box-body table-responsive no-padding"tr><"box-body"<"row"<"col-sm-5"i><"col-sm-7"p>>>',
	      ajax: '{!! route('nasabah.dt') !!}',
	      columns: [
	          { data: 'NoNasabah', name: 'NoNasabah' },
            { data: 'aktif', name: 'aktif', searchable: false, class:'text-center'},
            { data: 'NamaNasabah', name: 'NamaNasabah' },
            { data: 'Alamat', name: 'Alamat' },
            { data: 'NoTelepon', name: 'NoTelepon' },
            { data: 'TglGabung', name: 'TglGabung' },
	          { data: 'action', name: 'action', orderable: false, searchable: false}
	      ]
	  });
    $('.formuang').inputmask("numeric", {
        groupSeparator: ".",
        digits: 0,
        autoGroup: true,
        rightAlign: false,
        removeMaskOnSubmit: true,
        allowMinus: false
    });
    $('#table tbody').on('click', '#btn-anggota', function () {
      var data = table.row($(this).parents('tr')).data();
      $('#modal-anggota form').attr('action', "{{ URL('/nasabah/anggota') }}/" + data.NoNasabah);
      $('#modal-anggota').find('.modal-title').text('Menjadikan Nasabah ' + data.NamaNasabah + ' Sebagai Anggota');
    });
    $('#modal-anggota').on('hidden.bs.modal', function () {
      $('#modal-anggota form')[0].reset();
    });
  });
</script>
@stop